%global momorel 2

Summary: document centric objects and utilities
Name: goffice

Version: 0.8.6
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPLv2
URL: http://www.gnome.org/

Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.8/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: glib2-devel
BuildRequires: libgsf-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: libart_lgpl-devel
BuildRequires: cairo-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: GConf2-devel
BuildRequires: libgnomeui-devel
BuildRequires: libXrender-devel
BuildRequires: libXext-devel
BuildRequires: pcre-devel
Requires: GConf2
Requires: rarian
Obsoletes: %{name}-0.6

%description
GOffice -- A glib/gtk set of document centric objects and utilities

%package devel
Summary: A library for goffice
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: libgsf-devel
Requires: libxml2-devel
Requires: gtk2-devel
Requires: libglade2-devel
Requires: libart_lgpl-devel
Requires: cairo-devel
Requires: pango-devel
Obsoletes: %{name}-0.6-devel

%description devel
goffice-devel

%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --disable-static \
    --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}-%{version}

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-%{version}.lang
%defattr (-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog MAINTAINERS NEWS README
%{_libdir}/libgoffice-0.8.so.*
%exclude %{_libdir}/libgoffice-0.8.la

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{version}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{version}
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/%{version}

%files devel
%defattr (-, root, root)
%{_includedir}/libgoffice-0.8
%{_libdir}/libgoffice-0.8.so
%{_libdir}/pkgconfig/libgoffice-0.8.pc
%{_datadir}/gtk-doc/html/%{name}-0.8

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6-2m)
- full rebuild for mo7 release

* Fri Jun 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.6-1m)
- update to 0.8.6

* Tue Jun  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-2m)
- Obsoletes: goffice-0.6
- License: GPLv2

* Mon May 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-1m)
- update to 0.8.5

* Fri May 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Mon May 17 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.6-5m)
- use BuildRequires and Requires

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.6-4m)
- delete __libtoolize hack

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.6-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon May 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-1m)
- update to 0.6.6

* Thu May 21 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.5-3m)
- define libtoolize

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.5-2m)
- rebuild against rpm-4.6

* Mon Nov 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- update to 0.6.5

* Mon May 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Mon May  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.2-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2

* Tue Jan  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Tue Dec 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Wed Sep  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3-1m)
- update to 0.4.3

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Mon Dec 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-3m)
- delete libtool library

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.1-2m)
- rebuild against libgsf-1.14.0

* Mon Mar 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Tue Nov 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-1m)
- start
